Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.util
Class BatchQueryUtils

    java.lang.Object
      org.objectstyle.cayenne.access.util.BatchQueryUtils

Deprecated. since 1.2 - this class is made non-public and moved to the access package.

    public class BatchQueryUtils

extends java.lang.Object

Collection of utility methods to work with BatchQueries.

Author:
  Andriy Shapochka, Andrus Adamchik

Method Summary
`static java.util.Map` | `buildSnapshotForInsert(ObjEntity entity, DataObject o, DbRelationship masterDependentRel)` Deprecated. since 1.2
`static java.util.Map` | `buildSnapshotForInsert(ObjEntity entity, DataObject o, DbRelationship masterDependentRel, boolean supportsGeneratedKeys)` Deprecated. Creates a snapshot of inserted columns for a given object.
`static java.util.Map` | `buildSnapshotForUpdate(DataObject o)` Deprecated. since 1.2 - unused.
`static java.util.Map` | `buildSnapshotForUpdate(ObjEntity entity, DataObject o, DbRelationship masterDependentRel)` Deprecated. since 1.2 - unused.
`static java.util.Map` | `buildSnapshotForUpdate(ObjEntity entity, DataObject o, DbRelationship masterDependentRel, boolean supportsGeneratedKeys)` Deprecated. Creates a snapshot of updated columns for a given object.
`static boolean` | `updatesLOBColumns(BatchQuery query)` Deprecated. since 1.2

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### updatesLOBColumns

    public static boolean updatesLOBColumns(BatchQuery query)

  Deprecated. since 1.2

  Utility method that returns `true` if the query will update at least one BLOB or CLOB DbAttribute.

### buildSnapshotForUpdate

    public static java.util.Map buildSnapshotForUpdate(DataObject o)

  Deprecated. since 1.2 - unused.

### buildSnapshotForInsert

    public static java.util.Map buildSnapshotForInsert(ObjEntity entity,
                                                       DataObject o,
                                                       DbRelationship masterDependentRel)

  Deprecated. since 1.2

  Creates a snapshot of inserted columns for a given object.

### buildSnapshotForInsert

    public static java.util.Map buildSnapshotForInsert(ObjEntity entity,
                                                       DataObject o,
                                                       DbRelationship masterDependentRel,
                                                       boolean supportsGeneratedKeys)

  Deprecated.
  Creates a snapshot of inserted columns for a given object. Supports deferring value resolution by putting factories in the snapshot instead of real values if the value is not known yet.

  Since:
    1.2

### buildSnapshotForUpdate

    public static java.util.Map buildSnapshotForUpdate(ObjEntity entity,
                                                       DataObject o,
                                                       DbRelationship masterDependentRel)

  Deprecated. since 1.2 - unused.

  Creates a snapshot of updated columns for a given object.

### buildSnapshotForUpdate

    public static java.util.Map buildSnapshotForUpdate(ObjEntity entity,
                                                       DataObject o,
                                                       DbRelationship masterDependentRel,
                                                       boolean supportsGeneratedKeys)

  Deprecated.
  Creates a snapshot of updated columns for a given object.

  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.